# LiquityEthGainToTrove

### Description

Action for withdrawing ETH gains to Trove

### Action ID

`0x8a2f814a`

### SDK Action

```ts
const liquityEthGainToTroveAction = new dfs.actions.liquity.LiquityEthGainToTroveAction(
    lqtyTo,
    upperHint,
    lowerHint
);
```

### Action Type

`STANDARD_ACTION`

### Input Parameters

```solidity
    /// @param lqtyTo Address that will receive LQTY token gains
    /// @param upperHint Upper hint for finding a Trove in linked list
    /// @param lowerHint Lower hint for finding a Trove in linked list
    struct Params {
        address lqtyTo;
        address upperHint;
        address lowerHint;
    }
```

### Return Value

```solidity
return bytes32(ethGain);
```

### Events and Logs

```solidity
emit ActionEvent("LiquityEthGainToTrove", logData);
logger.logActionDirectEvent("LiquityEthGainToTrove", logData);
bytes memory logData = abi.encode(params);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.defisaver.com/actions/liquity/liquityethgaintotrove.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
